Bug 810354 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/carlos_5fjack85_40hotmail_2ecom at 0x10c1550>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:2edc7950f64c8b9e016a9f3ff1b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 13:37 EDT by Oscar Bacho
Modified: 2013-02-13 05:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:39:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oscar Bacho 2012-04-05 13:37:58 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
comment:        my pc just started
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.2.10-3.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/carlos_5fjack85_40hotmail_2ecom at 0x10c1550>
time:           dom 25 mar 2012 02:56:09 CST
uid:            1000

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/carlos_5fjack85_40hotmail_2ecom at 0x10c1550>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/carlos_5fjack85_40hotmail_2ecom at 0x10c1550>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x10c1110>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/carlos_5fjack85_40hotmail_2ecom at 0x10c1550>

smolt_data:
:
:
:General
:=================================
:UUID: cb8f998c-1511-40d3-8e02-628a00d155b4
:SO: Fedora release 16 (Verne)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.UTF-8
:Plataforma: x86_64
:BogoMIPS: 6429.81
:Fabricante de CPU: AuthenticAMD
:Modelo de CPU: AMD Phenom(tm) II X2 555 Processor
:Paso del UCP: 3
:Familia de UCP: 16
:Número de Modelo de CPU: 4
:Número de CPUs: 2
:Velocidad del CPU: 3200
:Memoria del Sistema: 3954
:Intercambio (swap) del Sistema: 6015
:Vendedor: System manufacturer
:Sistema: System Product Name System Version
:Factor de forma: Desktop
:Kernel: 3.3.0-8.fc16.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(4318:883:4163:33337) pci, forcedeth, BRIDGE, MCP55 Ethernet
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4318:880:4318:52100) pci, None, PCI/PCI, MCP55 PCI bridge
:(4318:881:4163:33270) pci, snd_hda_intel, MULTIMEDIA, MCP55 High Definition Audio
:(4318:2592:5208:13526) pci, nvidia, VIDEO, GT216 [GeForce GT 220]
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4318:876:4163:33337) pci, ohci_hcd, USB, MCP55 USB Controller
:(4318:877:4163:33337) pci, ehci_hcd, USB, MCP55 USB Controller
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4318:887:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4318:878:4163:33337) pci, pata_amd, STORAGE, MCP55 IDE
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4318:895:4163:33337) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:873:4163:33337) pci, None, RAM, MCP55 Memory Controller
:(4318:895:4163:33337) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:3042:5208:13526) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:895:4163:33337) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:872:4163:33337) pci, nForce2_smbus, SERIAL, MCP55 SMBus
:(4318:864:4163:33337) pci, None, PCI/ISA, MCP55 LPC Bridge
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13081819 10474918 9819558 3276800 3041993 3041993
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 46210201 27370083 25056663 11567104 11501963 11501963
:/dev/sdb2 /boot ext4 1024 1024 508745 409289 383689 128016 127744 127744
:
Comment 1 Fedora End Of Life 2013-01-16 06:22:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:39:51 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.